package org.frido.todo.bl;

import java.io.*;
import java.util.Hashtable;
import ojb.odmg.*;
import org.odmg.*;
import ojb.broker.SequenceManager;

public abstract class BLCommandBase implements BLCommand {

    private static Implementation implementation = null;
    private Hashtable attributes = new Hashtable();

    public BLCommandBase()
    {
    }


    protected Implementation getImplementation(){
	return BLCommandBase.getStaticImplementation();
    }

    private synchronized static Implementation getStaticImplementation(){
	if (implementation == null){
	    BLCommandBase.createImplementation();
	}
	return implementation;
    }

    private static void setStaticImplementation(Implementation newImplementation){
	implementation = newImplementation;
    }

    private static void createImplementation(){

	// Fixme: Read this from configuration file
	String databaseName="..\\webapps\\WebToDo\\WEB-INF\\repository.xml";

	// get facade instance
	Implementation odmg = OJB.getInstance();
	Database db = odmg.newDatabase();

	//open database
	try
	{
		db.open(databaseName, Database.OPEN_READ_WRITE);
	}
	catch (ODMGException ex)
	{
		ex.printStackTrace();
	}
	
	// Store the implementation
	BLCommandBase.setStaticImplementation(odmg);
   }

    public void execute() throws BLException{
	System.out.println("BL in class"+getClass().getName()+"called.");
	executeHook();
	System.out.println("BL in class"+getClass().getName()+"finished.");
    };
    
    public abstract void executeHook() throws BLException;

    public void setAttribute(String name, Object value){
	attributes.put(name, value);
    }

    public Object getAttribute(String name){
	return attributes.get(name);
    }
}
