package org.frido.todo.bl;

import java.io.*;
import java.util.Hashtable;
import java.util.List;
import java.sql.Date;
import ojb.odmg.*;
import org.odmg.*;
import ojb.broker.SequenceManager;

public class GetToDoItemBLCommand extends BLCommandBase {

	public GetToDoItemBLCommand()
	{
		super();
	}

	public void executeHook() throws BLException
	{
	    // Get persistence implementation.
	    Implementation odmg = getImplementation();
	    Integer id = (Integer)getAttribute("id");
	  
	    
	    
	    // 1. get the database	    
	    Database db = odmg.getDatabase(null); // the current DB
	    Transaction tx = null;
	    try
		{
		    // 2. start transaction
		    tx = odmg.newTransaction();
		    tx.begin();
		    
		    // 3. lookup the product specified by named roots lookup
		    OQLQuery query = odmg.newOQLQuery();
		    String queryString="select aToDoItem from " + ToDoItem.class.getName() + " where id = $1";
		    System.out.println("Query string:"+queryString);
		    query.create(queryString);
		    query.bind(id);
		    List results = (List) query.execute();

		    ToDoItem toDoItem = (ToDoItem) results.get(0);

		    // 4. Store result for retrieval
		    setAttribute("toDoItem",toDoItem);

		    // 5. commit transaction
		    tx.commit();
		}
	    catch (Throwable t)
		{
		    // rollback in case of errors
		    tx.abort();
		    t.printStackTrace();
		    throw new BLException("Get ToDoItem failed.");
		}
	}
}
