package org.frido.todo.bl;

import java.io.*;
import java.util.Hashtable;
import java.util.ArrayList;
import java.util.Collection;
import java.sql.Date;
import ojb.odmg.*;
import org.odmg.*;
import ojb.broker.SequenceManager;

public class ListToDoItemsBLCommand extends BLCommandBase {

	public ListToDoItemsBLCommand()
	{
		super();
	}

	public void executeHook() throws BLException
	{
	    // Get persistence implementation.
	    Implementation odmg = getImplementation();
	    
	    // now perform persistence operations
	    Transaction tx = null;
	    try
		{
		    // 1. open a transaction 
		    tx = odmg.newTransaction(); 
		    tx.begin(); 
		    
		    // 2. get an OQLQuery object from the ODMG facade
		    OQLQuery query = odmg.newOQLQuery(); 
		    
		    // 3. set the OQL select statement
		    query.create("select alltodoitems from " + ToDoItem.class.getName()); 
		    
		    // 4. perform the query and store the result in a persistent Collection
		    DList allToDoItems = (DList) query.execute(); 
		    tx.commit();
		    
		    // 5. now iterate over the result to store each to do item in a collection
		    Collection resultToDoItems = new ArrayList();
		    java.util.Iterator iter = allToDoItems.iterator(); 
		    while (iter.hasNext()) 
			{ 
			    resultToDoItems.add(iter.next()); 
			} 

		    // 6. Store the result as an attribute so 
		    //    the calling class can retrieve it.
		    setAttribute("allToDoItems",resultToDoItems);
		}
	    catch (ODMGException ex)
		{
		    // if something went wrong: rollback
		    tx.abort();
		    System.out.println(ex.getMessage());
		    ex.printStackTrace();
		    throw new BLException("List ToDoItem failed.");
		}
	    
	}
}
