package org.frido.todo.bl;

import java.io.*;
import java.util.Hashtable;
import java.util.List;
import java.sql.Date;
import ojb.odmg.*;
import org.odmg.*;
import ojb.broker.SequenceManager;

public class UpdateToDoItemBLCommand extends BLCommandBase {

	public UpdateToDoItemBLCommand()
	{
		super();
	}

	public void executeHook() throws BLException
	{
	    // Get persistence implementation.
	    Implementation odmg = getImplementation();
	    // this will be our new object
	    ToDoItem toDoItem  = null;

	    Integer id = (Integer) getAttribute("id");
	    
	    // now perform persistence operations
	    Transaction tx = null;
	    try
		{
		    // 1. open transaction
		    tx = odmg.newTransaction();
		    tx.begin();
		    
		    // 2. first get the object to be updated.
		    OQLQuery query = odmg.newOQLQuery();
		    String queryString="select aToDoItem from " + ToDoItem.class.getName() + " where id = $1";
		    System.out.println("Query string:"+queryString);
		    query.create(queryString);
		    query.bind(id);
		    List results = (List) query.execute();

		    toDoItem = (ToDoItem) results.get(0);

		    // 3. update the found object.
		    toDoItem.setShortdescription((String)getAttribute("shortdescription"));
		    toDoItem.setDescription((String)getAttribute("description"));
		    toDoItem.setPriority(((Integer)getAttribute("priority")).intValue());
		    toDoItem.setStartdate((Date)getAttribute("startdate"));
		    toDoItem.setEnddate((Date)getAttribute("enddate"));    


		    // 4. commit transaction
		    tx.commit();
		}
	    catch (ODMGException ex)
		{
		    // if something went wrong: rollback
		    tx.abort();
		    System.out.println(ex.getMessage());
		    ex.printStackTrace();
		    throw new BLException("Update ToDoItem failed.");
		}
	    
	}
}
