package org.frido.webtodo.action;


import java.io.IOException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.text.ParseException;
import java.util.Hashtable;
import java.sql.Date;
import java.util.Locale;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionServlet;
import org.apache.struts.util.MessageResources;
import org.frido.webtodo.form.ToDoItemForm;
import org.frido.todo.bl.*;



public final class DeleteToDoItemAction extends Action {


    // --------------------------------------------------------- Public Methods


    public ActionForward perform(ActionMapping mapping,
				 ActionForm form,
				 HttpServletRequest request,
				 HttpServletResponse response)
	throws IOException, ServletException {

	// Extract attributes we will need
	Locale locale = getLocale(request);
	MessageResources messages = getResources();

	// Validate the request parameters specified by the user
	ToDoItemForm toDoItemForm = (ToDoItemForm) form;

	ActionErrors errors = new ActionErrors();
	String id = toDoItemForm.getId();
	Integer idAsInteger =  null;

	// Validate id
	try {
	    idAsInteger = Integer.valueOf(id);
	}
	catch(NumberFormatException e){
	    errors.add(ActionErrors.GLOBAL_ERROR,
		       new ActionError("error.deleteDoItemForm.wrongId"));
	}


	// Report any errors we have discovered back to the original form
	if (!errors.empty()) {
	    saveErrors(request, errors);
	    return (new ActionForward(mapping.getInput()));
	}

	// Now perform the real business logic
	try {
	    DeleteToDoItemBLCommand cmd = new DeleteToDoItemBLCommand();
	    cmd.setAttribute("id",idAsInteger);	

	    cmd.execute();
	}
	catch(BLException e){
	   errors.add(ActionErrors.GLOBAL_ERROR,
		       new ActionError("error.deleteToDoItemAction.failed"));
	   getServlet().log("error.deleteToDoItemAction.failed",e);
	   return (mapping.findForward("failure")); 
	}


	// Forward control to the specified success URI
	return (mapping.findForward("success"));

    }


}
