package org.frido.webtodo.action;


import java.io.IOException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.text.ParseException;
import java.util.Hashtable;
import java.sql.Date;
import java.util.Locale;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionServlet;
import org.apache.struts.util.MessageResources;
import org.frido.webtodo.form.ToDoItemForm;
import org.frido.todo.bl.*;



public final class ListToDoItemsAction extends Action {


    // --------------------------------------------------------- Public Methods


    public ActionForward perform(ActionMapping mapping,
				 ActionForm form,
				 HttpServletRequest request,
				 HttpServletResponse response)
	throws IOException, ServletException {

	// Extract attributes we will need
	Locale locale = getLocale(request);
	MessageResources messages = getResources();


	ActionErrors errors = new ActionErrors();


	// Now perform the real business logic
	try {
	    ListToDoItemsBLCommand cmd = new ListToDoItemsBLCommand();

	    cmd.execute();

	    // Store the result of the business logic command in the request.
	    // It will be retrieved by the jsp page.
	    request.getSession().setAttribute("allToDoItems",cmd.getAttribute("allToDoItems"));
	}
	catch(BLException e){
	   errors.add(ActionErrors.GLOBAL_ERROR,
		       new ActionError("error.listToDoItemAction.failed"));
	   getServlet().log("error.listToDoItemAction.failed",e);
	   return (mapping.findForward("failure")); 
	}


	// Forward control to the specified success URI
	return (mapping.findForward("success"));

    }


}
